Package org.wso2.carbon.deployment.synchronizer.stub.types

# Class DeploymentSynchronizerAdminCallbackHandler

java.lang.Object
org.wso2.carbon.deployment.synchronizer.stub.types.DeploymentSynchronizerAdminCallbackHandler

public abstract class DeploymentSynchronizerAdminCallbackHandler extends Object
DeploymentSynchronizerAdminCallbackHandler Callback class, Users can extend this class and implement their own receiveResult and receiveError methods.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Object`
  `clientData`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeploymentSynchronizerAdminCallbackHandler()`
  Please use this constructor if you don't want to set any clientData
  `DeploymentSynchronizerAdminCallbackHandler(Object clientData)`
  User can pass in any object that needs to be accessed once the NonBlocking Web service call is finished and appropriate method of this CallBack is called.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getClientData()`
  Get the client data
  `void`
  `receiveErrorgetLastCheckoutTime(Exception e)`
  auto generated Axis2 Error handler override this method for handling error response from getLastCheckoutTime operation
  `void`
  `receiveErrorgetLastCommitTime(Exception e)`
  auto generated Axis2 Error handler override this method for handling error response from getLastCommitTime operation
  `void`
  `receiveErrorgetParamsByRepositoryType(Exception e)`
  auto generated Axis2 Error handler override this method for handling error response from getParamsByRepositoryType operation
  `void`
  `receiveErrorgetRepositoryTypes(Exception e)`
  auto generated Axis2 Error handler override this method for handling error response from getRepositoryTypes operation
  `void`
  `receiveErrorgetSynchronizerConfigurationForCarbonRepository(Exception e)`
  auto generated Axis2 Error handler override this method for handling error response from getSynchronizerConfigurationForCarbonRepository operation
  `void`
  `receiveErrorsynchronizerEnabledForCarbonRepository(Exception e)`
  auto generated Axis2 Error handler override this method for handling error response from synchronizerEnabledForCarbonRepository operation
  `void`
  `receiveResultgetLastCheckoutTime(long result)`
  auto generated Axis2 call back method for getLastCheckoutTime method override this method for handling normal response from getLastCheckoutTime operation
  `void`
  `receiveResultgetLastCommitTime(long result)`
  auto generated Axis2 call back method for getLastCommitTime method override this method for handling normal response from getLastCommitTime operation
  `void`
  `receiveResultgetParamsByRepositoryType(RepositoryConfigParameter[] result)`
  auto generated Axis2 call back method for getParamsByRepositoryType method override this method for handling normal response from getParamsByRepositoryType operation
  `void`
  `receiveResultgetRepositoryTypes(String[] result)`
  auto generated Axis2 call back method for getRepositoryTypes method override this method for handling normal response from getRepositoryTypes operation
  `void`
  `receiveResultgetSynchronizerConfigurationForCarbonRepository(DeploymentSynchronizerConfiguration result)`
  auto generated Axis2 call back method for getSynchronizerConfigurationForCarbonRepository method override this method for handling normal response from getSynchronizerConfigurationForCarbonRepository operation
  `void`
  `receiveResultsynchronizerEnabledForCarbonRepository(boolean result)`
  auto generated Axis2 call back method for synchronizerEnabledForCarbonRepository method override this method for handling normal response from synchronizerEnabledForCarbonRepository operation

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### clientData

    protected Object clientData

- ## Constructor Details

  - ### DeploymentSynchronizerAdminCallbackHandler

    public DeploymentSynchronizerAdminCallbackHandler(Object clientData)
    User can pass in any object that needs to be accessed once the NonBlocking Web service call is finished and appropriate method of this CallBack is called.
    Parameters:
      `clientData` - Object mechanism by which the user can pass in user data that will be avilable at the time this callback is called.

  - ### DeploymentSynchronizerAdminCallbackHandler

    public DeploymentSynchronizerAdminCallbackHandler()
    Please use this constructor if you don't want to set any clientData

- ## Method Details

  - ### getClientData

    public Object getClientData()
    Get the client data

  - ### receiveResultgetRepositoryTypes

    public void receiveResultgetRepositoryTypes(String[] result)
    auto generated Axis2 call back method for getRepositoryTypes method override this method for handling normal response from getRepositoryTypes operation

  - ### receiveErrorgetRepositoryTypes

    public void receiveErrorgetRepositoryTypes(Exception e)
    auto generated Axis2 Error handler override this method for handling error response from getRepositoryTypes operation

  - ### receiveResultgetParamsByRepositoryType

    public void receiveResultgetParamsByRepositoryType(RepositoryConfigParameter[] result)
    auto generated Axis2 call back method for getParamsByRepositoryType method override this method for handling normal response from getParamsByRepositoryType operation

  - ### receiveErrorgetParamsByRepositoryType

    public void receiveErrorgetParamsByRepositoryType(Exception e)
    auto generated Axis2 Error handler override this method for handling error response from getParamsByRepositoryType operation

  - ### receiveResultgetSynchronizerConfigurationForCarbonRepository

    public void receiveResultgetSynchronizerConfigurationForCarbonRepository(DeploymentSynchronizerConfiguration result)
    auto generated Axis2 call back method for getSynchronizerConfigurationForCarbonRepository method override this method for handling normal response from getSynchronizerConfigurationForCarbonRepository operation

  - ### receiveErrorgetSynchronizerConfigurationForCarbonRepository

    public void receiveErrorgetSynchronizerConfigurationForCarbonRepository(Exception e)
    auto generated Axis2 Error handler override this method for handling error response from getSynchronizerConfigurationForCarbonRepository operation

  - ### receiveResultsynchronizerEnabledForCarbonRepository

    public void receiveResultsynchronizerEnabledForCarbonRepository(boolean result)
    auto generated Axis2 call back method for synchronizerEnabledForCarbonRepository method override this method for handling normal response from synchronizerEnabledForCarbonRepository operation

  - ### receiveErrorsynchronizerEnabledForCarbonRepository

    public void receiveErrorsynchronizerEnabledForCarbonRepository(Exception e)
    auto generated Axis2 Error handler override this method for handling error response from synchronizerEnabledForCarbonRepository operation

  - ### receiveResultgetLastCheckoutTime

    public void receiveResultgetLastCheckoutTime(long result)
    auto generated Axis2 call back method for getLastCheckoutTime method override this method for handling normal response from getLastCheckoutTime operation

  - ### receiveErrorgetLastCheckoutTime

    public void receiveErrorgetLastCheckoutTime(Exception e)
    auto generated Axis2 Error handler override this method for handling error response from getLastCheckoutTime operation

  - ### receiveResultgetLastCommitTime

    public void receiveResultgetLastCommitTime(long result)
    auto generated Axis2 call back method for getLastCommitTime method override this method for handling normal response from getLastCommitTime operation

  - ### receiveErrorgetLastCommitTime

    public void receiveErrorgetLastCommitTime(Exception e)
    auto generated Axis2 Error handler override this method for handling error response from getLastCommitTime operation